@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO =====================================================================
ECHO           Remove and Build All (FreePascal and Lazarus)   
ECHO =====================================================================
ECHO.

CALL xx_CodeTyphon_Remove_ALL
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_FPC_Extract_Source_From_ZipFile
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_FPC_Win32_Build
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_FPC_Win64_Build
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_Lazarus_Exract_Source_from_ZipFile
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_Lazarus_Win32_Build
IF NOT ERRORLEVEL 0 GOTO ERROR

CALL x_Lazarus_Win64_Build
IF NOT ERRORLEVEL 0 GOTO ERROR

GOTO END

:ERROR
ECHO ERROR %0
EXIT 1

:END