@ECHO OFF
REM #############################################################
REM                CodeTyphon Project 
REM      Copyright  PilotLogic Software House.
REM               All rights reserved.
REM #############################################################

ECHO.
ECHO ----------------------------------------------------------
ECHO                  Clear FPC Simple 
ECHO ----------------------------------------------------------

if NOT EXIST c:\pp\ (
ECHO ERROR: FreePascal Directory NOT EXIST !!!
GOTO ERROR
)

if NOT EXIST C:\pp\bin\i386-win32\make.exe (
ECHO ERROR: FreePascal Win32 make.exe NOT EXIST !!!
GOTO ERROR
)

pushd c:\pp\
C:\pp\bin\i386-win32\make.exe clean
IF NOT ERRORLEVEL 0 GOTO ERROR
popd  
del /F /Q C:pp\compiler\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q C:pp\compiler\utils\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR
del /F /Q c:\pp\utils\*.exe
IF NOT ERRORLEVEL 0 GOTO ERROR

GOTO END

:ERROR 
echo ERROR %0
exit 1
:end

